Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class LDC

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.CPInstruction
                  |
                  +--org.apache.bcel.generic.LDC

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, IndexedInstruction, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

Direct Known Subclasses:
  LDC_W

public class LDC
extends CPInstruction
implements PushInstruction, ExceptionThrower, TypedInstruction

LDC - Push item from constant pool.

    Stack: ... -> ..., item

Version:
  $Id: LDC.java,v 1.1.1.1 2001/10/29 20:00:21 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LDC(int index)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(java.io.DataOutputStream out)` Dump instruction as byte code to stream out.
`java.lang.Class[]` | `getExceptions()`
`Type` | `getType(ConstantPoolGen cpg)`
`java.lang.Object` | `getValue(ConstantPoolGen cpg)`
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g. index) from file.
`void` | `setIndex(int index)` Set the index to constant pool and adjust size.
`protected void` | `setSize()`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`getIndex, toString, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### LDC

    public LDC(int index)

Method Detail

### setSize

    protected final void setSize()

### dump

    public void dump(java.io.DataOutputStream out)
              throws java.io.IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `CPInstruction`
  Parameters:
    `out` - Output stream
    `java.io.IOException`

### setIndex

    public final void setIndex(int index)

  Set the index to constant pool and adjust size.

  Specified by:
    `setIndex` in interface `IndexedInstruction`
  Overrides:
    `setIndex` in class `CPInstruction`
  Parameters:
    `index` - in constant pool.

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws java.io.IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `CPInstruction`
  Parameters:
    `bytes` - input stream
    `wide` - wide prefix?
    `java.io.IOException`

### getValue

    public java.lang.Object getValue(ConstantPoolGen cpg)

### getType

    public Type getType(ConstantPoolGen cpg)

  Specified by:
    `getType` in interface `TypedInstruction`
  Overrides:
    `getType` in class `CPInstruction`
  Returns:
    type related with this instruction.

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.